Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603641 - Review Request: python-fontMath - A set of objects for performing math operations on font data
Review Request: python-fontMath - A set of objects for performing math operat...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: i18n
Depends On: 603634
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 04:47 EDT by Parag Nemade
Modified: 2010-07-26 02:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 02:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-06-14 04:47:40 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/fontMath.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/fontMath-0.2-1.fc13.src.rpm
Description: 
A set of objects for performing math operations on font data.
Comment 2 Thomas Spura 2010-07-22 06:31:33 EDT
Review:

Good:
- name ok
- source match upstream: 739ecc87c553180c4978c110230be6f7
- $ rpmlint ./python-fontMath-0.2-1.fc13.src.rpm noarch/python-fontMath-0.2-1.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

- no libs
- no locales
- license ok
- macros everywhere
- spec readable




Needswork:
- you should use %{version} in the source url
- you should also buildrequire python-robofab
- wouldn't be Development/Tools be better as a group?

- %files:
  You don't own %{python_sitelib}/fontMath -> remove the '*'


_____________________________________________________________________________

the %files issue is a blocker, the rest SHOULD.
Approving anyway, because I'm sure, you'll change it.

_____________________________________________________________________________

APPROVED
Comment 3 Parag Nemade 2010-07-22 06:50:26 EDT
Updated package as
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/python-fontMath.spec
SRPM URL:
http://paragn.fedorapeople.org/fedora-work/SRPMS/python-fontMath-0.2-2.fc13.src.rpm    

But, Do I really need to BR:python-robofab?

See successful koji scratch build without it
http://koji.fedoraproject.org/koji/taskinfo?taskID=2340303
Comment 4 Thomas Spura 2010-07-22 10:52:34 EDT
(In reply to comment #3)
> But, Do I really need to BR:python-robofab?
> 
> See successful koji scratch build without it
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2340303    

Long answer:

Currently the setup.py is complaining with:
+ /usr/bin/python setup.py build
*** Warning: defcon requires RoboFab, see:
    robofab.com
see: http://koji.fedoraproject.org/koji/getfile?taskID=2340304&name=build.log

So it would be better to also BuildRequire it. For now it's not needed, only if they choose to add a testsuite and you want to run it.

I'd feel just saver with adding it now, so upstream can change what they want.
(but no blocker throught)

Short answer:
no :)
Comment 5 Parag Nemade 2010-07-22 11:03:06 EDT
Thanks. I will add it when I will import it in cvs and also will add it in other packages.
Comment 6 Parag Nemade 2010-07-23 01:05:53 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-fontMath
Short Description: A set of objects for performing math operations on font data
Owners: pnemade
Branches: F-13 EL-6
InitialCC: i18n-team fonts-sig
Comment 7 Kevin Fenzi 2010-07-23 17:36:52 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Parag Nemade 2010-07-26 02:06:35 EDT
Built in rawhide. awaiting for fonttools in EPEL6 which will allow to build python-robofab and then this package in EPEL6.

Note You need to log in before you can comment on or make changes to this bug.